{
  "extends": "./tsconfig.json",
  "include": [
    "server/**/*.ts",
    "database/**/*.ts",
    "app/contexts/**/*.ts",
    "app/models/**/*.ts",
    "app/services/**/*.ts",
    "app/lib/**/*.ts",
    "app/types/**/*.ts",
    "vite.config.ts"
  ],
  "exclude": [
    "**/*.js"
  ],
  "compilerOptions": {
    "composite": true,
    "strict": true,
    "types": ["node"],
    "lib": ["ES2023"],
    "target": "ES2023",
    "module": "ES2022",
    "moduleResolution": "bundler"
  }
}
